
Name:	 gift
Summary: Daemon for communicating with filesharing protocols
Version: 0.11.8.1
Release: 12%{?dist}

License: GPLv2+
Group:	 System Environment/Daemons
URL: 	 http://gift.sourceforge.net/
Source:	 http://dl.sourceforge.net/sourceforge/gift/gift-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: gift-0.11.8.1-gcc4.patch
# respect %_bindir,%_datadir,%_includedir,%_libdir
# http://bugzilla.redhat.com/210114
Patch2: gift-0.11.8.1-fhs.patch

# Wrapper for auto-launch gift-setup for first-time users 
Source1: giftd.sh

BuildRequires: libtool
%if 0%{?fedora} > 3 || 0%{?rhel} > 4
BuildRequires: libtool-ltdl-devel
%endif
BuildRequires: libvorbis-devel
BuildRequires: ImageMagick-devel 

%define _enable_libmagic --enable-libmagic
BuildRequires: file > 4.0
%if 0%{?fedora} > 6
BuildRequires: file-devel
%endif

%description
giFT is a modular daemon capable of abstracting the communication between
the end user and specific filesharing protocols (peer-to-peer or otherwise).

%package devel
Summary: Headers and library files for %{name} 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q

%patch1 -p1 -b .gcc4
%patch2 -p1 -b .fhs


%build
%configure %{?_enable_libmagic} 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
 
## Move giftd out of the way, replace with wrapper
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/giftd $RPM_BUILD_ROOT%{_sbindir}/
install -p -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/giftd

## Create/own plugin dir
mkdir -p $RPM_BUILD_ROOT%{_libdir}/giFT

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING HACKING QUICKSTART README TODO
%{_bindir}/gift*
%{_sbindir}/giftd
%{_datadir}/giFT/
%{_libdir}/giFT/
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.8.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 05 2008 Rex Dieter <rdieter@fedoraproject.org> 0.7.4-4
- respin (libtool)

* Mon Feb 11 2008 Rex Dieter <rdieter@fedoraproject.org> 0.7.4-3
- respin (gcc43)

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.11.8.1-9
- respin (BuildID)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.11.8.1-8
- License: GPLv2+

* Thu May 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.11.8.1-7
- BR: file-devel (fc7+, see also #214992)
- ppc64 build

* Tue Oct 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-6
- patch to respect %_bindir,%_datadir,%_includedir,%_libdir (#210114)

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-5
- fc6 respin

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-4.1
- fc5: gcc/glibc respin

* Fri Jan 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-4
- giftd.sh (wrapper): pass on command-line params/options

* Wed Dec 14 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-3
- --enable-libmagic (on platforms where file > 4 available)

* Tue Dec 13 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-2
- Summary: Capitalize
- BR: file (libmagic)

* Thu Dec 08 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-1
- cleanup for Fedora Extras

* Mon Nov 07 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-0.lvn.2
- -devel: BR: pkgconfig

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-0.lvn.1
- 0.11.8.1

* Wed Nov 17 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8-0.lvn.1
- 0.11.8

* Mon Nov 1 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.7-0.lvn.3
- fix linking (libgiftproto).  Ugly, ugly hack... proper fix pending

* Wed Oct 27 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.7-0.lvn.2
- BR: libtool

* Tue Sep 28 2004 Rex Dieter <rexdieter at sf.net> 0.11.7-0.lvn.1
- 0.11.7

* Thu Jul 29 2004 Rex Dieter <rexdieter at sf.net> 0.11.6-0.lvn.2
- use giftd wrapper to auto-launch gift-setup for first-time users

* Thu Jul 29 2004 Rex Dieter <rexdieter at sf.net> 0.11.6-0.lvn.1
- adjust Release tag for livna.org submission

* Fri Jul 23 2004 Rex Dieter <rexdieter at sf.net> 0.11.6-0.fdr.3
- remove include files from main pkg
- create/own plugindir: %%_libdir/giFT

* Thu Jul 22 2004 Rex Dieter <rexdieter at sf.net> 0.11.6-0.fdr.2
- Group: System Environment/Daemons

* Thu Jul 22 2004 Rex Dieter <rexdieter at sf.net> 0.11.6-0.fdr.1
- 0.11.6
- fedora'ize
- -devel sup-pkg

* Mon Dec 29 2003 Dries Verachtert <dries@ulyssis.org> 0.11.5-1.dries
- first packaging for Fedora Core 1

